"use strickt";

// Теоретичні питання
// 1. Що таке події в JavaScript і для чого вони використовуються?
// Події в JavaScript - це дії, які відбуваються у зв'язку з взаємодією користувача з веб-сторінкою або змінами в середовищі виконання JavaScript. Вони дозволяють веб-сторінці реагувати на різні події, такі як натискання на кнопку, наведення курсора на елемент, завантаження сторінки.

// 2. Які події миші доступні в JavaScript? Наведіть кілька прикладів.

// Ось деякі з найпоширеніших подій миші:
// click: Спрацьовує при кліці на елемент лівою кнопкою миші.
// dblclick: Спрацьовує при подвійному кліці на елемент лівою кнопкою миші.
// mouseover: Спрацьовує, коли курсор миші наводиться на елемент.
// mouseout: Спрацьовує, коли курсор миші покидає межі елемента.
// mousemove: Спрацьовує при русі курсора миші над елементом.
// mousedown: Спрацьовує при натисканні лівої кнопки миші над елементом.
// mouseup: Спрацьовує при звільненні лівої кнопки миші після натискання.
// contextmenu: Спрацьовує при натисканні правою кнопкою миші на елементі, викликає контекстне меню браузера.
// mouseenter: Спрацьовує при введенні курсора миші в межі елемента (подібно mouseover, але не спрацьовує при введенні вкладеного елемента).
// mouseleave: Спрацьовує при виході курсора миші за межі елемента (подібно mouseout, але не спрацьовує при виході з вкладеного елемента).

// 3. Що таке подія "contextmenu" і як вона використовується для контекстного меню?

// Подія "contextmenu" відбувається, коли користувач натискає праву кнопку миші на елементі. Вона викликає контекстне меню браузера, яке зазвичай містить список дій або опцій для користувача в залежності від контексту, наприклад, веб-сторінки чи об'єкта на сторінці.

// Ця подія може використовуватися для створення контекстних меню користувача, які відображаються, коли користувач натискає праву кнопку миші на певному елементі. Використовуючи обробник подій для "contextmenu".

// Практичні завдання
//  1. Додати новий абзац по кліку на кнопку:
//   По кліку на кнопку <button id="btn-click">Click Me</button>, створіть новий елемент <p> з текстом "New Paragraph" і додайте його до розділу <section id="content">

const button = document.querySelector(`#btn-click`);
const section = document.querySelector(`#content`);
button.addEventListener(`click`, () => {
  let paragraph = document.createElement(`p`);
  paragraph.textContent = `New
Paragraph`;
  section.append(paragraph);
});

//  2. Додати новий елемент форми із атрибутами:
//  Створіть кнопку з id "btn-input-create", додайте її на сторінку в section перед footer.
//   По кліку на створену кнопку, створіть новий елемент <input> і додайте до нього власні атрибути, наприклад, type, placeholder, і name. та додайте його під кнопкою.

const button2 = document.createElement(`button`);
button2.id = `btn-input-create`;
section.after(button2);

button2.addEventListener(`click`, () => {
  let input = document.createElement(`input`);
  input.type = `email`;
  input.placeholder = `Write your e\`mail`;
  input.name = `email`;
  button2.after(input);
});
